package org.project.location;

import org.project.entity.enemies.Enemy;
import java.util.ArrayList;

public class Location {
    private String name;
    private ArrayList<Location> locations; // لیست مسیرهای متصل به این مکان
    private ArrayList<Enemy> enemies;      // لیست دشمنان موجود در این مکان

    // سازنده اصلی کلاس لوکیشن
    public Location(String name) {
        this.name = name;
        this.locations = new ArrayList<>();
        this.enemies = new ArrayList<>();
    }

    // متد کاربردی برای متصل کردن یک مسیر به این لوکیشن (دو طرفه یا یک طرفه)
    public void addConnectedLocation(Location location) {
        if (!this.locations.contains(location)) {
            this.locations.add(location);
        }
    }

    // متد اضافه کردن دشمن به لوکیشن
    public void addEnemy(Enemy enemy) {
        this.enemies.add(enemy);
    }

    // گترهای الزامی
    public String getName() {
        return name;
    }

    public ArrayList<Location> getLocations() {
        return locations;
    }

    public ArrayList<Enemy> getEnemies() {
        return enemies;
    }
}